package com.nisemoe.nise.controller

import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController

data class VersionResponse(
    val version: String,
)

@RestController
class VersionController {
    companion object {
        val VERSION = VersionResponse(
            version = "v20250621",
        )
    }

    @GetMapping("/version")
    fun getVersion(): ResponseEntity<VersionResponse> = ResponseEntity.ok(VERSION)
}
